if (not HydraUIGlobal) then
	return
end

local KeyBinding, Popup, Move, Commands, General = HydraUIGlobal:get()
local HydraUI, GUI, Language, Assets, Settings, Defaults = HydraUIGlobal:get()
local Plugin = HydraUI:NewPlugin("HydraUI_Button")
-- Plugin definition is needed to be detected as a plugin in HydraUI :)

local LDB = LibStub("LibDataBroker-1.1", true)
local LDBIcon = LDB and LibStub("LibDBIcon-1.0", true)

local OnAccept = function()
	HydraUI:ToggleMovers()
	GUI:Toggle()
end

local OnCancel = function()
	HydraUI:ToggleMovers()
end

if LDB then

	local HydraUIButton = LDB:NewDataObject("HydraUIButton", {

		type = "launcher",
		icon = "Interface\\AddOns\\HydraUI_Button\\assets\\logo.tga",
		tocname = "HydraUI_Button",

		OnClick = function(clickedframe, button)

			local alt_key = IsAltKeyDown()
			local shift_key = IsShiftKeyDown()
			local control_key = IsControlKeyDown()

			if UnitAffectingCombat("player") == false then

				if button == "LeftButton" then 
					
					if shift_key then

						HydraUI:GetModule("Key Binding"):Toggle()

					else

						GUI:Toggle()

					end

				elseif button == "RightButton" then 

					HydraUI:ToggleMovers()
					HydraUI:DisplayPopup(Language["Attention"], Language["Would you like to reopen the settings window?"], Language["Accept"], OnAccept, Language["Cancel"], OnCancel) -- PopupOnCancel

				elseif button == "MiddleButton" then 

				end

			else

				print("Cannot do that while in combat.")

			end
		end,

		OnTooltipShow = function(tt)

			tt:AddLine("|cFFFFC44DHydraUI|r Button")
			tt:AddLine("Left-Click |cff44ff44Open the Menu", cs, ce)
			tt:AddLine("Shift + Left-Click |cff44ff44Enable KeyBind Mode", cs, ce)
			tt:AddLine("Right-Click |cff44ff44Enable Move Mode", cs, ce)
			tt:Show()

		end,
	})
	
	if LDBIcon then

		LDBIcon:Register("HydraUIButton", HydraUIButton, HydraUIButton.MinimapIcon)

	end
end